# Uses of Interface
ch.qos.logback.core.spi.PreSerializationTransformer

Packages that use PreSerializationTransformer
Package
Description
ch.qos.logback.access.net
ch.qos.logback.access.net.server
Provides a robust appender that serves logging events to remote clients
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.classic.net.server
Provides a robust logging server
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.
ch.qos.logback.core.net.server
Contains the base classes used by logback to serve logging events to remote peers.

## Uses of PreSerializationTransformer in ch.qos.logback.access.net

Classes in ch.qos.logback.access.net that implement PreSerializationTransformer
Modifier and Type
Class
Description
`class`
`AccessEventPreSerializationTransformer`
Methods in ch.qos.logback.access.net that return PreSerializationTransformer
Modifier and Type
Method
Description
`PreSerializationTransformer<IAccessEvent>`
SocketAppender.`getPST()`
`PreSerializationTransformer<IAccessEvent>`
SSLSocketAppender.`getPST()`

## Uses of PreSerializationTransformer in ch.qos.logback.access.net.server

Methods in ch.qos.logback.access.net.server that return PreSerializationTransformer
Modifier and Type
Method
Description
`protected PreSerializationTransformer<IAccessEvent>`
ServerSocketAppender.`getPST()`
`protected PreSerializationTransformer<IAccessEvent>`
SSLServerSocketAppender.`getPST()`

## Uses of PreSerializationTransformer in ch.qos.logback.classic.net

Classes in ch.qos.logback.classic.net that implement PreSerializationTransformer
Modifier and Type
Class
Description
`class`
`LoggingEventPreSerializationTransformer`
Methods in ch.qos.logback.classic.net that return PreSerializationTransformer
Modifier and Type
Method
Description
`PreSerializationTransformer<ILoggingEvent>`
SocketAppender.`getPST()`
`PreSerializationTransformer<ILoggingEvent>`
SSLSocketAppender.`getPST()`

## Uses of PreSerializationTransformer in ch.qos.logback.classic.net.server

Methods in ch.qos.logback.classic.net.server that return PreSerializationTransformer
Modifier and Type
Method
Description
`protected PreSerializationTransformer<ILoggingEvent>`
ServerSocketAppender.`getPST()`
`protected PreSerializationTransformer<ILoggingEvent>`
SSLServerSocketAppender.`getPST()`

## Uses of PreSerializationTransformer in ch.qos.logback.core.net

Methods in ch.qos.logback.core.net that return PreSerializationTransformer
Modifier and Type
Method
Description
`protected abstract PreSerializationTransformer<E>`
AbstractSocketAppender.`getPST()`
Get the pre-serialization transformer that will be used to transform each event into a Serializable object before delivery to the remote receiver.

## Uses of PreSerializationTransformer in ch.qos.logback.core.net.server

Methods in ch.qos.logback.core.net.server that return PreSerializationTransformer
Modifier and Type
Method
Description
`protected abstract PreSerializationTransformer<E>`
AbstractServerSocketAppender.`getPST()`
Gets a transformer that will be used to convert a received event to a `Serializable` form.